<script>
	import {loginAfterHandle} from './utils/loginHandle.js'
	export default {
		onLaunch: function(e) {
			//当url存在loginData时直接种上数据
			/* 条件编译，仅在H5平台生效 */
			// #ifdef H5
			
			if(e.query.loginData&&e.query.hospSign){
				try{
					loginAfterHandle(JSON.parse(decodeURI(e.query.loginData)),e.query.hospSign);
				}catch(e){
					console.log({e})
				}
			}
			
			
			uni.getSystemInfo({
				success(e) {
					/* 窗口宽度大于420px且不在PC页面且不在移动设备时跳转至 PC.html 页面 */
					console.log(e, window.top.isPC, !/iOS|Android/i.test(e.system));

					if (e.windowWidth > 420 && !window.top.isPC && !/iOS|Android/i.test(e.system)) {

						const url = decodeURIComponent(`/TracerMethodology/static/html/template.html`);
						// console.log({hospSign,url});
						window.location.pathname = url;
						/* 若项目未设置根目录（默认为 / 时），则使用下方代码 */
						// window.location.pathname = '/static/html/pc.html';
					}
				}
			})
			// #endif		
		},
		onShow: function() {

		},
		onHide: function() {

		},
		methods: {
			// 监测是否传参数
			checkArguments() {
				try {
					if (uni.getSystemInfoSync().platform === 'android') {
						// 接收第三方app传递的参数 extra；
						// #ifdef APP-PLUS 
						if (plus.runtime.arguments) {
							// patParams: 院区，病区， 床号
							const {
								patParams
							} = JSON.parse(plus.runtime.arguments);
							console.log({
								patParams
							});
							uni.setStorageSync('patParams', patParams);
						}
						// #endif
					}
				} catch (e) {}
			},
			//角色和对应的跳转页面
			rolToTarget(nowPermission) {
				if(nowPermission != 0){
					let current = this.rolList.find(item => item.permission == nowPermission);
					if(current){
						// 页面跳转
						uni.redirectTo({
							 url: `/${current.pagePath}`
						});
					}
				}
			}
		}
	};
</script>

<style lang="scss">
	@import "uview-ui/index.scss";
	/*每个页面公共css */


	/* 条件编译，仅在H5平台生效 */
	// #ifdef H5
	body::-webkit-scrollbar,
	html::-webkit-scrollbar {
		display: none;
	}

	// #endif

	body,
	uni-app,
	uni-page,
	uni-page-wrapper,
	uni-page-body {
		height: 100%;
		font-size: 20rpx;
		line-height: 30rpx;
		color: #292C33;
		background-color: #F5F6FA;
	}

	view,
	label,
	scroll-view {
		box-sizing: border-box;
	}

	// 底部固定的按钮
	.fixed-buttom-btn {
		position: fixed;
		left: 0;
		bottom: 0;
		display: flex;
		justify-content: center;
		align-items: center;
		margin-top: 12.5rpx;
		width: 100%;
		height: 75rpx;
		background-color: #3377FF;

		.btn-text {
			flex: 1;
			font-size: 22.5rpx;
			color: #fff;
			text-align: center;
		}

		.btn-text.cancle {
			line-height: 76.25rpx;
			background-color: #FFFFFF;
			color: #3377FF;
		}
	}

	// 新建情境样式start
	.creatingSituations {
		.title {
			padding-bottom: 35rpx;
			padding-left: 25rpx;
			font-size: 30rpx;
			line-height: 45rpx;
			color: #292C33;
		}
	}

	// 新建情境样式end
	// 查核地图列表样式start
	.check-map-list {
		overflow: hidden;
		padding: 0 25rpx;

		.item {
			position: relative;
			overflow: hidden;
			margin-bottom: 25rpx;
			border-radius: 5rpx;
			padding-top: 16.25rpx;
			padding-bottom: 0;
			width: 100%;
			background-color: #fff;
			box-shadow: 0 3.75rpx 12.5rpx 0 rgba(0, 13, 51, 0.1);

			.title-wrap {
				display: flex;
				flex-direction: row;
				align-items: center;
				padding: 0 25rpx;

				>text {
					font-size: 35rpx;
					line-height: 52.5rpx;
					color: #292C33;
				}

				>view {
					display: flex;
					flex-direction: row;
					align-items: center;
					margin-left: 20rpx;
					border-radius: 17.5rpx;
					height: 35rpx;
					font-size: 17.5rpx;
					line-height: 35rpx;
					color: #8F9BB3;
					background-color: #EDF2FA;

					image {
						width: 35rpx;
						height: 35rpx;
					}

					text {
						padding-left: 10rpx;
						padding-right: 20rpx;
					}
				}
			}

			.content {
				display: flex;
				flex-direction: column;
				padding: 11.25rpx 25rpx 20rpx;

				>text {
					overflow: hidden;
					white-space: nowrap;
					text-overflow: ellipsis;
					font-size: 20rpx;
					line-height: 30rpx;
					color: #666F80;

					&:first-child {
						margin-bottom: 5rpx;
						font-weight: bold;
						color: #292C33;
					}
				}
			}
		}
	}

	// 查核地图列表样式end
</style>
